enum TaxFormStatus {
  NOT_STARTED
  DRAFT
  SUBMITTED
  APPROVED
  REJECTED
}

enum TaxFormType {
  I9
  W4
}

type TaxForm @table(name: "tax_forms") {
  id: UUID! @default(expr: "uuidV4()")
  formType: TaxFormType!
  title: String!
  subtitle: String
  description: String
  status: TaxFormStatus!
  staffId: UUID!
  formData: Any

  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
